Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.umich.soar.hpp
Class HPPCPTEntry

    java.lang.Object
      edu.umich.soar.hpp.HPPCPTEntry

Direct Known Subclasses:
  HPPCPTBinaryEntry

    public class HPPCPTEntry

extends java.lang.Object

Class that holds information to describe a sparse conditional-probability table (CPT). Each entry expresses a distribution over variable values given that a set of conditions hold.

Constructor Summary
`HPPCPTEntry()` Basic constructor - empty initialization for conditions/values
`HPPCPTEntry(HPPConstraint[] conditions, HPPCPTValue[] values)` Advanced constructor - supports custom initialization of conditions/values

Method Summary
`void` | `addCondition(HPPConstraint newCondition)` Appends a condition to the set
`void` | `addValue(HPPCPTValue newValue)` Appends a value to the distribution
`java.util.Iterator<HPPConstraint>` | `getConditions()` Supports read-only access to condition set
`java.util.Iterator<HPPCPTValue>` | `getValues()` Supports read-only access to value distribution

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HPPCPTEntry

    public HPPCPTEntry()

  Basic constructor - empty initialization for conditions/values

### HPPCPTEntry

    public HPPCPTEntry(HPPConstraint[] conditions,
                       HPPCPTValue[] values)

  Advanced constructor - supports custom initialization of conditions/values

  Parameters:
    `conditions` - initial conditions, null to ignore
    `values` - initial value distribution, null to ignore

Method Detail

### getConditions

    public java.util.Iterator<HPPConstraint> getConditions()

  Supports read-only access to condition set

  Returns:
    iterator to condition set

### getValues

    public java.util.Iterator<HPPCPTValue> getValues()

  Supports read-only access to value distribution

  Returns:
    iterator to value distribution

### addCondition

    public void addCondition(HPPConstraint newCondition)

  Appends a condition to the set

  Parameters:
    `newCondition` - condition to be added to the set

### addValue

    public void addValue(HPPCPTValue newValue)

  Appends a value to the distribution

  Parameters:
    `newValue` - value to be added to the set

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD